import 'package:be_happy/core/result.dart';
import 'package:be_happy/domain/entities/point.dart';
import 'package:be_happy/domain/repositories/scooter_repository.dart';

class GetScooterOrderRouteHistoryUsecase {
  final ScooterRepository _repository;

  GetScooterOrderRouteHistoryUsecase(this._repository);

  Future<Result<List<Point>>> call(int id) async {
    return await _repository.getScooterOrderRouteHistory(id);
  }
}
